libwps::MultiplanParserInternal::Font Struct Referencefinal

the font of a MultiplanParser More...

Inheritance diagram for libwps::MultiplanParserInternal::Font:

## Public Member Functions
| Font (libwps_tools_win::Font::Type type)
| constructor
| ~Font () final
| destructor
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor
| WPSFont (WPSFont const &)=default
| WPSFont (WPSFont &&)=default
WPSFont & | operator= (WPSFont const &)=default
WPSFont & | operator= (WPSFont &&)=default
virtual | ~WPSFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | isSet () const
| accessor
bool | operator== (WPSFont const &ft) const
| operator==
bool | operator!= (WPSFont const &ft) const
| operator!=

## Public Attributes
libwps_tools_win::Font::Type | m_type
| font encoding type
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name
double | m_size
| font size
uint32_t | m_attributes
| the font attributes defined as a set of bits
double | m_spacing
| font spacing
WPSColor | m_color
| the font color
int | m_languageId
| the language (simplified locale name id) if known
std::string | m_extra
| public field use to add a message when the font is printed

## Additional Inherited Members
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt)

## Detailed Description

the font of a MultiplanParser

## Constructor & Destructor Documentation

## ◆ Font()

libwps::MultiplanParserInternal::Font::Font | ( | libwps_tools_win::Font::Type | type | ) |
| inline explicit

constructor

Referenced by ~Font().

## ◆ ~Font()

libwps::MultiplanParserInternal::Font::~Font | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_type

libwps_tools_win::Font::Type libwps::MultiplanParserInternal::Font::m_type

font encoding type

Referenced by Font().

The documentation for this struct was generated from the following file:

- Multiplan.cpp